import api from "src/api";

export const getContractsByStudent = async (studentId) => {
  const { data } = await api.get("/student-contract", { params: { student_id: studentId } });
  return data.payload;
};

export const getFranchisorContractSummary = async () => {
  const { data } = await api.get("/student-contract/franchisor/summary");
  return data.payload;
};

export const getFranchisorFrozenContracts = async () => {
  const { data } = await api.get("/student-contract/franchisor/frozen");
  return data.payload;
};

export const getFranchisorCancelledContracts = async () => {
  const { data } = await api.get("/student-contract/franchisor/cancelled");
  return data.payload;
};
